/*
 */
/*
 * Copyright (c) 2010, 2012, Oracle and/or its affiliates. All rights reserved.
 * Use is subject to license terms.
 */

#ifndef	_ZONEPROXY_IMPL_H
#define	_ZONEPROXY_IMPL_H

#ifdef	__cplusplus
extern "C" {
#endif

#define	ZP_DOOR_PATH "/system/volatile/zoneproxy_door"


#define	ZP_CMD_NEW_LISTENER	1
#define	ZP_CMD_REMOVE_LISTENER	2
#define	ZP_CMD_ZONE_ADDED	3
#define	ZP_CMD_ZONE_REMOVED	4
#define	ZP_CMD_PING		5

#define	ZP_STATUS_OK		0
#define	ZP_STATUS_PERMISSION	1
#define	ZP_STATUS_INVALID	2
#define	ZP_STATUS_ERROR		3
#define	ZP_STATUS_UNKNOWN	4

#ifdef	__cplusplus
}
#endif

#endif	/* _ZONEPROXY_IMPL_H */
